### Constructor

# GdkPixbuf.PixbufAnimation.new_from_stream

#### Declaration [src]

    GdkPixbufAnimation*
    gdk_pixbuf_animation_new_from_stream (
      GInputStream* stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Creates a new animation by loading it from an input stream.

The file format is detected automatically.

If `NULL` is returned, then `error` will be set.

The `cancellable` can be used to abort the operation from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned. Other possible errors are in the `GDK_PIXBUF_ERROR` and `G_IO_ERROR` domains.

The stream is not closed.

#### Parameters

`stream` | `GInputStream*`
| a `GInputStream` to load the pixbuf from
| Ownership is not transferred to the callee
`cancellable` | `GCancellable*`
| optional `GCancellable` object
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkPixbufAnimation`
A newly-created animation
Ownership of the data is transferred to the caller
Can be `NULL`